export const generateColors = (count: number, baseColors: string[]) => {
  const colors = [...baseColors]

  while (colors?.length < count) {
    // Generate a random hex color (or use a color generator library like chroma.js)
    const color = `#${Math.floor(Math.random() * 16777215).toString(16)}`
    colors.push(color)
  }

  return colors
}
